Loading...
Searching...
No Matches
pcl::recognition::ObjRecRANSAC::Output Class Reference

This is an output item of the ObjRecRANSAC::recognize() method. More...

`#include <pcl/recognition/ransac_based/obj_rec_ransac.h>`

## Public Member Functions

| Output (const std::string &object_name, const float rigid_transform[12], float match_confidence, void *user_data)
virtual | ~Output ()=default

## Public Attributes

std::string | object_name_
float | rigid_transform_ [12]
float | match_confidence_
void * | user_data_

## Detailed Description

This is an output item of the ObjRecRANSAC::recognize() method.

It contains the recognized model, its name (the ones passed to ObjRecRANSAC::addModel()), the rigid transform which aligns the model with the input scene and the match confidence which is a number in the interval (0, 1] which gives the fraction of the model surface area matched to the scene. E.g., a match confidence of 0.3 means that 30% of the object surface area was matched to the scene points. If the scene is represented by a single range image, the match confidence can not be greater than 0.5 since the range scanner sees only one side of each object.

Definition at line 97 of file obj_rec_ransac.h.

## Constructor & Destructor Documentation

## Output()

pcl::recognition::ObjRecRANSAC::Output::Output | ( | const std::string & | object_name,
|  | const float | rigid_transform[12],
|  | float | match_confidence,
|  | void * | user_data
| ) |  |

inline

Definition at line 100 of file obj_rec_ransac.h.

## ~Output()

virtual pcl::recognition::ObjRecRANSAC::Output::~Output | ( |  | ) |

virtual default

## Member Data Documentation

## match_confidence_

float pcl::recognition::ObjRecRANSAC::Output::match_confidence_

Definition at line 112 of file obj_rec_ransac.h.

## object_name_

std::string pcl::recognition::ObjRecRANSAC::Output::object_name_

Definition at line 110 of file obj_rec_ransac.h.

## rigid_transform_

float pcl::recognition::ObjRecRANSAC::Output::rigid_transform_[12]

Definition at line 111 of file obj_rec_ransac.h.

## user_data_

void* pcl::recognition::ObjRecRANSAC::Output::user_data_

Definition at line 113 of file obj_rec_ransac.h.

The documentation for this class was generated from the following file:

- pcl/recognition/ransac_based/obj_rec_ransac.h